'Programm:   Demo fr den UKW-Fuchsjagd-Sender "Foxy" mit ATtiny45+MICRF102
'            Sender einschalten, nur Trger setzen, Strategie: "Zu Fu"
'Sprache:    Bascom-AVR-Basic, siehe www.mcselec.com (freie Version hat fr ATtiny45 keine Einschrnkungen)
'Von:        Roland Walter, DL7UNO, www.rowalt.de
'Datum:      31.01.2007 (letzte nderung)
'Literatur:  Roland Walter: AVR-Mikrocontroller-Lehrbuch, siehe www.rowalt.de
'-------------------------------------------------------------------------------
$Regfile="ATtiny45.dat"   'Deklarationen fr den ATtiny45
$Crystal=1000000          'Taktfrequenz: 1 MHz (Fabrik-Voreinstellung, Interner RC-Oszillator 8MHz mitb Vorteilung 1/8)
'
ACSR.ACD=0                'Analog-Komparator ausschalten, spart etwas Strom

DDRB  =&B00011000         'Pins PB3+PB4 als Ausgnge konfigurieren (1), Rest ist Eingang (0)
PORTB =&B00000111         'PullUp-Widerstnde fr die Pins PB0,PB1,PB2 aktivieren (Strfestigkeit)
'
PORTB.3=1                 'Pin PB3 auf High (StandBy-Pin am MICRF102): Standby-Modus abschalten
PORTB.4=1                 'Pin PB4 auf High (ASK-Pin am MICRF102):     HighLevel-Output (Senden)
'
Do
Loop
End